Package javax.validation.metadata

# Interface ElementDescriptor

All Known Subinterfaces:
  `BeanDescriptor`, `ConstructorDescriptor`, `CrossParameterDescriptor`, `ExecutableDescriptor`, `MethodDescriptor`, `ParameterDescriptor`, `PropertyDescriptor`, `ReturnValueDescriptor`

public interface ElementDescriptor

Version:
  $Rev$ $Date$

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`ElementDescriptor.ConstraintFinder`

## Method Summary

Modifier and Type
Method
Description
`ElementDescriptor.ConstraintFinder`
`findConstraints()`
`Set<ConstraintDescriptor<?>>`
`getConstraintDescriptors()`
`Class<?>`
`getElementClass()`
`boolean`
`hasConstraints()`

## Method Details

### hasConstraints

boolean hasConstraints()

### getElementClass

Class<?> getElementClass()

### getConstraintDescriptors

Set<ConstraintDescriptor<?>> getConstraintDescriptors()

### findConstraints

ElementDescriptor.ConstraintFinder findConstraints()